Subject: Advanced revision selection?

From: Nikolaus Rath <[email-masked]>
Date: Fri, 27 May 2016 08:39:32 -0700

Hello,

Is there a way to specify revision ranges that has more power than
what's described in gitrevisions(7)?

For example, is there a way to show "the three most recent commits
preceding a tag that starts with "release-" that are also descendants of
commit aebecf."?

In Mercurial, this can be done with a more verbose syntax (e.g.
"last(ancestors(tag("re:release-.*")),3) and descendants(aebeccf)" for
the above example). Is there no equivalent in Git, or am I looking for
it in the wrong place?

Best,
-Nikolaus

-- 
GPG encrypted emails preferred. Key id: 0xD113FCAC3C4E599F
Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             »Time flies like an arrow, fruit flies like a Banana.«